## qtermwidget 0.6.0+20160108

=== CMakeLists.txt ===
cmake_minimum_required( VERSION 2.8 )

project(qtermwidget)

option(BUILD_TEST "Build test application. Default OFF." OFF)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake")

# just change version for releases
set(QTERMWIDGET_VERSION_MAJOR "0")
set(QTERMWIDGET_VERSION_MINOR "6")
set(QTERMWIDGET_VERSION_PATCH "0")

set(QTERMWIDGET_VERSION "${QTERMWIDGET_VERSION_MAJOR}.${QTERMWIDGET_VERSION_MINOR}.${QTERMWIDGET_VERSION_PATCH}")

include(CheckFunctionExists)
include(GNUInstallDirs)

include_directories(
    "${CMAKE_SOURCE_DIR}/lib"
    "${CMAKE_BINARY_DIR}/lib"
    "${CMAKE_BINARY_DIR}"
)
add_definitions(-Wall)


set(QTERMWIDGET_LIBRARY_NAME qtermwidget5)
include(qtermwidget5_use)


# main library

set(SRCS
    lib/BlockArray.cpp
    lib/ColorScheme.cpp
    lib/Emulation.cpp
    lib/Filter.cpp
    lib/History.cpp
    lib/HistorySearch.cpp
    lib/KeyboardTranslator.cpp
    lib/konsole_wcwidth.cpp
    lib/kprocess.cpp
    lib/kpty.cpp
    lib/kptydevice.cpp
    lib/kptyprocess.cpp
    lib/Pty.cpp
    lib/qtermwidget.cpp
    lib/Screen.cpp
    lib/ScreenWindow.cpp
    lib/SearchBar.cpp
    lib/Session.cpp
    lib/ShellCommand.cpp
    lib/TerminalCharacterDecoder.cpp
    lib/TerminalDisplay.cpp
    lib/tools.cpp
    lib/Vt102Emulation.cpp
)

# Only the Headers that need to be moc'd go here
set(HDRS
    lib/Emulation.h
    lib/Filter.h
    lib/HistorySearch.h
    lib/kprocess.h
    lib/kptydevice.h
    lib/kptyprocess.h
    lib/Pty.h
    lib/qtermwidget.h
    lib/ScreenWindow.h
    lib/SearchBar.h
    lib/Session.h
    lib/TerminalDisplay.h
    lib/Vt102Emulation.h
)

set(UI
    lib/SearchBar.ui
)

# for distribution
set(HDRS_DISTRIB
    lib/qtermwidget.h
    lib/Filter.h
)

# dirs
set(KB_LAYOUT_DIR "${CMAKE_INSTALL_FULL_DATADIR}/${QTERMWIDGET_LIBRARY_NAME}/kb-layouts")
message(STATUS "Keyboard layouts will be installed in: ${KB_LAYOUT_DIR}")
add_definitions(-DKB_LAYOUT_DIR="${KB_LAYOUT_DIR}")

set(COLORSCHEMES_DIR "${CMAKE_INSTALL_FULL_DATADIR}/${QTERMWIDGET_LIBRARY_NAME}/color-schemes")
message(STATUS "Color schemes will be installed in: ${COLORSCHEMES_DIR}" )
add_definitions(-DCOLORSCHEMES_DIR="${COLORSCHEMES_DIR}")

set(QTERMWIDGET_INCLUDE_DIR "${CMAKE_INSTALL_FULL_INCLUDEDIR}/${QTERMWIDGET_LIBRARY_NAME}")

#| Defines
add_definitions(-DHAVE_POSIX_OPENPT -DHAVE_SYS_TIME_H)
if(APPLE)
    add_definitions(-DHAVE_UTMPX -D_UTMPX_COMPAT)
endif()
CHECK_FUNCTION_EXISTS(updwtmpx HAVE_UPDWTMPX)
if(HAVE_UPDWTMPX)
    add_definitions(-DHAVE_UPDWTMPX)
endif()

qt5_wrap_cpp(MOCS ${HDRS})
qt5_wrap_ui(UI_SRCS ${UI})
set(PKG_CONFIG_REQ "Qt5Core, Qt5Xml, Qt5Widgets")

add_library(${QTERMWIDGET_LIBRARY_NAME} SHARED ${SRCS} ${MOCS} ${UI_SRCS})
target_link_libraries(${QTERMWIDGET_LIBRARY_NAME} ${QTERMWIDGET_QT_LIBRARIES})
set_target_properties( ${QTERMWIDGET_LIBRARY_NAME} PROPERTIES
                       SOVERSION ${QTERMWIDGET_VERSION_MAJOR}
                       VERSION ${QTERMWIDGET_VERSION}
                     )
if(APPLE)
    set (CMAKE_SKIP_RPATH 1)
    # this is a must to load the lib correctly
    set_target_properties(${QTERMWIDGET_LIBRARY_NAME} PROPERTIES INSTALL_NAME_DIR ${CMAKE_INSTALL_FULL_LIBDIR})
endif()

install(TARGETS ${QTERMWIDGET_LIBRARY_NAME} DESTINATION "${CMAKE_INSTALL_LIBDIR}")
install(FILES ${HDRS_DISTRIB} DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/${QTERMWIDGET_LIBRARY_NAME}")
# keyboard layouts
install(DIRECTORY lib/kb-layouts/ DESTINATION "${KB_LAYOUT_DIR}" FILES_MATCHING PATTERN "*.keytab" )
# color schemes
install(DIRECTORY lib/color-schemes/ DESTINATION "${COLORSCHEMES_DIR}" FILES_MATCHING PATTERN "*.*schem*")

include(create_pkgconfig_file)
create_pkgconfig_file(${QTERMWIDGET_LIBRARY_NAME}
    "QTermWidget library for Qt ${QTERMWIDGET_VERSION_MAJOR}.x"
    ${PKG_CONFIG_REQ}
    ${QTERMWIDGET_LIBRARY_NAME}
    ${QTERMWIDGET_VERSION}
)

configure_file(
    "${CMAKE_SOURCE_DIR}/cmake/${QTERMWIDGET_LIBRARY_NAME}-config.cmake.in"
    "${CMAKE_BINARY_DIR}/${QTERMWIDGET_LIBRARY_NAME}-config.cmake"
    @ONLY
)
install(FILES
    "${CMAKE_BINARY_DIR}/${QTERMWIDGET_LIBRARY_NAME}-config.cmake"
    "${CMAKE_SOURCE_DIR}/cmake/${QTERMWIDGET_LIBRARY_NAME}_use.cmake"
    DESTINATION "${CMAKE_INSTALL_DATADIR}/cmake/${QTERMWIDGET_LIBRARY_NAME}"
)
# end of main library


# test application
if(BUILD_TEST)
    set(TEST_SRC src/main.cpp)
    add_executable(test ${TEST_SRC})
    add_dependencies(test ${QTERMWIDGET_LIBRARY_NAME})
    link_directories(${CMAKE_BINARY_DIR})
    target_link_libraries(test ${QTERMWIDGET_QT_LIBRARIES} ${QTERMWIDGET_LIBRARY_NAME} util)
endif (BUILD_TEST)
# end of test application


CONFIGURE_FILE(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY
)
ADD_CUSTOM_TARGET(uninstall
    "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
)


# make dist custom target
SET(CPACK_PACKAGE_NAME "qtermwidget")
# TODO/FIXME: versioning from player subdir... I don't know why it's separated...
SET(CPACK_PACKAGE_VERSION ${QTERMWIDGET_VERSION_MAJOR}.${QTERMWIDGET_VERSION_MINOR}.${QTERMWIDGET_VERSION_PATCH})
SET(CPACK_SOURCE_GENERATOR "TGZ;TBZ2")
SET(CPACK_SOURCE_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}")
SET(CPACK_IGNORE_FILES "/\\\\.git/;\\\\.swp$;\\\\.#;/#;\\\\.tar.gz$;/CMakeFiles/;CMakeCache.txt;\\\\.qm$;/build/;\\\\.diff$;.DS_Store'")
SET(CPACK_SOURCE_IGNORE_FILES ${CPACK_IGNORE_FILES})
INCLUDE(CPack)
# simulate autotools' "make dist"
add_custom_target(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)

=== debian/changelog ===
qtermwidget (0.6.0+20160108-3) unstable; urgency=medium

  * Fixed symbols for -03, thanks vorlon (Closes: #819225) 
  * Bump standards to 3.9.7
  * Use secured VCS-links
  * Added hardening =+ all to rules

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Mar 2016 12:24:03 +0200

qtermwidget (0.6.0+20160108-2) unstable; urgency=medium

  * patching: 798053  'TCGETS' not declared

 -- Alf Gaida <agaida@siduction.org>  Thu, 14 Jan 2016 00:47:51 +0100

qtermwidget (0.6.0+20160108-1) unstable; urgency=medium

  [ Alf Gaida ]
  * Cherry-picking upstream version 0.6.0+20160108, Modification
    of treatment of double-width character (e.g. Japanese)
    https://github.com/lxde/qtermwidget/pull/55#issuecomment-170615897
  * Fixed copyright
  * No full stop in short descriptions, see lintian warning:
    'description-synopsis-might-not-be-phrased-properly'

  [ Peter Mattern ]
  * Fixed descriptions in debian/control

 -- Alf Gaida <agaida@siduction.org>  Mon, 11 Jan 2016 20:41:00 +0100

qtermwidget (0.6.0+20151225-1) unstable; urgency=medium

  * Cherry-picking upstream version 0.6.0+201501225.
  * Cleaned up debian/control
  * Cleaned up debian/copyright, remove GPL-3+ because it is not used
    in the project any longer, relicense debian to GPL-2+
  * Fixed symbols
  * Fixed LDFLAGS
  * Removed obsoleted overrides from debian/rules

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Dec 2015 13:34:09 +0100

qtermwidget (0.6.0+20150709-4) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 16 Nov 2015 23:23:00 +0800

qtermwidget (0.6.0+20150709-3) experimental; urgency=medium

  * reduce symbols mess again 

 -- Alf Gaida <agaida@siduction.org>  Thu, 29 Oct 2015 00:09:51 +0100

qtermwidget (0.6.0+20150709-2) experimental; urgency=medium

  * revert most of the optional symbol marks
  * sort symbols and added some empty lines and comments
  * introduce arch specific symbols
  * switch to experimental

 -- Alf Gaida <agaida@siduction.org>  Sat, 03 Oct 2015 22:34:42 +0200

qtermwidget (0.6.0+20150709-1) unstable; urgency=medium

  [ Alf Gaida ]
  * Cherry-picking upstream version 0.6.0+20150709.
  * Symbols fixed for amd64 and i386

  [ ChangZhuo Chen (陳昌倬) ]
  * Make all non QTermWidget symbols optional (Closes: #798050).

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 15 Sep 2015 20:34:04 +0800

qtermwidget (0.6.0-1) unstable; urgency=medium

  [ Alf Gaida ]
  * README added.
  * new debian $foo.
  * Initial release (Closes: #675355).

  [ Andrew Lee (李健秋) ]
  * Adding upstream version 0.6.0.

  [ ChangZhuo Chen (陳昌倬) ]
  * Update symbol control file.
  * Add watch.
  * Cleanup control.
  * Update copyright.
  * Cleanup rule.
  * Update changelog.

  [ Andrew Lee (李健秋) ]
  * Drop build-deps on quilt in control.
  * Refine package descriptions.
  * Added myself in copyright file.
  * Refine copyright file.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 19 Aug 2015 02:39:14 +0800

=== debian/control ===
Source: qtermwidget
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
Section: libs
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake (>= 3.0.2),
               qtbase5-dev,
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/qtermwidget.git/?h=debian/sid
Vcs-Git: https://anonscm.debian.org/cgit/pkg-lxqt/qtermwidget.git -b debian/sid
Homepage: https://github.com/lxde/qtermwidget

Package: libqtermwidget5-0
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         qtermwidget5-data (= ${source:Version}),
Pre-Depends: ${misc:Pre-Depends}
Description: Terminal emulator widget for Qt 5 (shared libraries)
 QTermWidget is a Unicode-enabled, embeddable Qt widget that can be used as
 built-in console or terminal emulation widget.
 .
 This package provides the shared libraries.

Package: libqtermwidget5-0-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libqtermwidget5-0 (= ${binary:Version}),
Description: Terminal emulator widget for Qt 5 (development files)
 QTermWidget is a Unicode-enabled, embeddable Qt widget that can be used as
 built-in console or terminal emulation widget.
 .
 This package provides the development files.

Package: qtermwidget5-data
Architecture: all
Depends: ${misc:Depends},
Description: Terminal emulator widget for Qt 5 (data files)
 QTermWidget is a Unicode-enabled, embeddable Qt widget that can be used as
 built-in console or terminal emulation widget.
 .
 This package provides data files like keyboard layouts and color schemes.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake \
		--parallel \
		--fail-missing

=== debian/watch ===
version=3
https://github.com/qterminal/qtermwidget/releases .*/v?(\d\S*)/qtermwidget-(?:\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## qtermwidget 0.6.1~55-gd572f39

=== debian/changelog ===
qtermwidget (0.6.1~55-gd572f39-1) unstable; urgency=medium

  * Bump version to 0.6.1~
  * Added a renamed tarball to pristine-tar
  * Rework symbols (Closes: #831083), tested with i386 and amd64
  * Fixed VCS fields, using plain /git/
  * Fixed copyright Format field, using https
  * Exported LC_ALL=C.UTF-8, make builds reproducible
  * Set CMAKE_BUILD_TYPE=RelWithDebInfo

 -- Alf Gaida <agaida@siduction.org>  Sat, 06 Aug 2016 02:26:26 +0200

qtermwidget (0.6.0-55-gd572f39-1) unstable; urgency=medium

  * Cherry-picked snapshot: 0.6.0-55-gd572f39
  * switch package numbering to git describe instead of dates
  * Remove patch, now integrated into upstream (Closes: #798053)
  * Bump standards to 3.9.8

 -- Alf Gaida <agaida@siduction.org>  Sat, 14 May 2016 18:09:02 +0200

qtermwidget (0.6.0+20160108-6) unstable; urgency=medium

  * Fix two whitespace bugs, which i've had by mistake  introduced
    after the test builds

 -- Alf Gaida <agaida@siduction.org>  Sat, 14 May 2016 03:09:49 +0200

qtermwidget (0.6.0+20160108-5) unstable; urgency=medium

  * Rework some symbols 

 -- Alf Gaida <agaida@siduction.org>  Sat, 14 May 2016 02:01:05 +0200

qtermwidget (0.6.0+20160108-4) unstable; urgency=medium

  * Added kfreebsd-patch, thanks to Bas Couwenberg <sebastic@debian.org>.

 -- Alf Gaida <agaida@siduction.org>  Fri, 13 May 2016 18:21:52 +0200

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Priority: optional
 Build-Depends: debhelper (>= 9),
                cmake (>= 3.0.2),
-               qtbase5-dev,
-Standards-Version: 3.9.7
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/qtermwidget.git/?h=debian/sid
-Vcs-Git: https://anonscm.debian.org/cgit/pkg-lxqt/qtermwidget.git -b debian/sid
+               qtbase5-dev
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/git/pkg-lxqt/qtermwidget.git/?h=debian/sid
+Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/qtermwidget.git -b debian/sid
 Homepage: https://github.com/lxde/qtermwidget
 
 Package: libqtermwidget5-0

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake\
		--parallel\
		--fail-missing

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

## qtermwidget 0.7.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,20 +1,35 @@
-cmake_minimum_required( VERSION 2.8 )
+cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)
 
 project(qtermwidget)
 
+include(GNUInstallDirs)
+include(CheckFunctionExists)
+
 option(BUILD_TEST "Build test application. Default OFF." OFF)
-
-set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake")
-
 # just change version for releases
 set(QTERMWIDGET_VERSION_MAJOR "0")
-set(QTERMWIDGET_VERSION_MINOR "6")
-set(QTERMWIDGET_VERSION_PATCH "0")
+set(QTERMWIDGET_VERSION_MINOR "7")
+set(QTERMWIDGET_VERSION_PATCH "1")
 
 set(QTERMWIDGET_VERSION "${QTERMWIDGET_VERSION_MAJOR}.${QTERMWIDGET_VERSION_MINOR}.${QTERMWIDGET_VERSION_PATCH}")
 
-include(CheckFunctionExists)
-include(GNUInstallDirs)
+# additional cmake files
+set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake")
+
+if(NOT CMAKE_BUILD_TYPE)
+    set(CMAKE_BUILD_TYPE Release)
+endif()
+
+include(CheckCXXCompilerFlag)
+CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
+CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
+if(COMPILER_SUPPORTS_CXX11)
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
+elseif(COMPILER_SUPPORTS_CXX0X)
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
+else()
+    message(FATAL "The compiler ${CMAKE_CXX_COMPILER} has no C++11 support. C++11 support is required")
+endif()
 
 include_directories(
     "${CMAKE_SOURCE_DIR}/lib"
@@ -27,6 +42,16 @@
 set(QTERMWIDGET_LIBRARY_NAME qtermwidget5)
 include(qtermwidget5_use)
 
+option(USE_UTF8PROC "Use libutf8proc for better Unicode support. Default OFF" OFF)
+
+if(USE_UTF8PROC)
+    find_package(Utf8Proc)
+endif()
+
+if (UTF8PROC_FOUND)
+    add_definitions(-DHAVE_UTF8PROC)
+    include_directories("${UTF8PROC_INCLUDE_DIRS}")
+endif()
 
 # main library
 
@@ -114,6 +139,9 @@
                        SOVERSION ${QTERMWIDGET_VERSION_MAJOR}
                        VERSION ${QTERMWIDGET_VERSION}
                      )
+if (UTF8PROC_FOUND)
+    target_link_libraries(${QTERMWIDGET_LIBRARY_NAME} ${UTF8PROC_LIBRARIES})
+endif()
 if(APPLE)
     set (CMAKE_SKIP_RPATH 1)
     # this is a must to load the lib correctly
@@ -167,16 +195,3 @@
 ADD_CUSTOM_TARGET(uninstall
     "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
 )
-
-
-# make dist custom target
-SET(CPACK_PACKAGE_NAME "qtermwidget")
-# TODO/FIXME: versioning from player subdir... I don't know why it's separated...
-SET(CPACK_PACKAGE_VERSION ${QTERMWIDGET_VERSION_MAJOR}.${QTERMWIDGET_VERSION_MINOR}.${QTERMWIDGET_VERSION_PATCH})
-SET(CPACK_SOURCE_GENERATOR "TGZ;TBZ2")
-SET(CPACK_SOURCE_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}")
-SET(CPACK_IGNORE_FILES "/\\\\.git/;\\\\.swp$;\\\\.#;/#;\\\\.tar.gz$;/CMakeFiles/;CMakeCache.txt;\\\\.qm$;/build/;\\\\.diff$;.DS_Store'")
-SET(CPACK_SOURCE_IGNORE_FILES ${CPACK_IGNORE_FILES})
-INCLUDE(CPack)
-# simulate autotools' "make dist"
-add_custom_target(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)

=== debian/changelog ===
qtermwidget (0.7.1-2) unstable; urgency=medium

  * Added build-dependency libutf8proc-dev as the missed part for
    full utf-8 support. The use-trigger is already set.
    Thanks Riku Voipio <riku.voipio@linaro.org>, nice catch.
    (Closes: #851832)

 -- Alf Gaida <agaida@siduction.org>  Thu, 19 Jan 2017 14:52:26 -0500

qtermwidget (0.7.1-1) unstable; urgency=medium

  * Cherry-picking upstream release 0.7.1. 
  * Fixed Symbols
  * Removed build dependency liblxqt0-dev
  * Activate new UTF8 processing in rules

 -- Alf Gaida <agaida@siduction.org>  Wed, 21 Dec 2016 23:50:11 +0100

qtermwidget (0.7.0-4) unstable; urgency=medium

  * Cherry-picking upstream release: 0.7.0
  * Bumped compat to 10
  * Removed --parallel from rules, standard in compat 10
  * Bumped minimum version debhelper (>= 10)
  * Added build dependency liblxqt-dev (>= 0.11.0)
  * Followed Multiarch hinter suggestions
    - qtermwidget5-data marked as Multi-Arch: foreign
    - libqtermwidget5-0 marked as Multi-Arch: same
    - libqtermwidget5-0-dev marked as Multi-Arch: same
  * Simplified optional symbols 

 -- Alf Gaida <agaida@siduction.org>  Tue, 18 Oct 2016 21:16:57 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
            Andrew Lee (李健秋) <ajqlee@debian.org>,
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                cmake (>= 3.0.2),
+               libutf8proc-dev,
                qtbase5-dev
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/git/pkg-lxqt/qtermwidget.git/?h=debian/sid
@@ -15,6 +16,7 @@
 
 Package: libqtermwidget5-0
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          qtermwidget5-data (= ${source:Version}),
@@ -27,6 +29,7 @@
 
 Package: libqtermwidget5-0-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends},
          libqtermwidget5-0 (= ${binary:Version}),
@@ -38,6 +41,7 @@
 
 Package: qtermwidget5-data
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
 Description: Terminal emulator widget for Qt 5 (data files)
  QTermWidget is a Unicode-enabled, embeddable Qt widget that can be used as

=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,10 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh ${@} --buildsystem cmake\
-		--parallel\
+	dh ${@} --buildsystem cmake \
 		--fail-missing
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
+		-DUSE_UTF8PROC=ON \
 		-DCMAKE_BUILD_TYPE=RelWithDebInfo

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/qterminal/qtermwidget/releases .*/qtermwidget-([\d\.]+).tar.xz

## qtermwidget 0.8.0

=== debian/changelog ===
qtermwidget (0.8.0-5) unstable; urgency=medium

  * Bumped Standards to 4.1.2, no changes needed
  * Removed branch from VCS fields
  * Removed gbp.conf

 -- Alf Gaida <agaida@siduction.org>  Fri, 15 Dec 2017 19:30:23 +0100

qtermwidget (0.8.0-4) unstable; urgency=medium

  * Transition to unstable

 -- Alf Gaida <agaida@siduction.org>  Mon, 04 Dec 2017 20:14:31 +0100

qtermwidget (0.8.0-3) experimental; urgency=medium

  * Fixed typo in changelog

 -- Alf Gaida <agaida@siduction.org>  Sun, 05 Nov 2017 02:05:43 +0100

qtermwidget (0.8.0-2) experimental; urgency=medium

  * Fixed cmake install directories (Closes: #880389)
    Thanks Andreas Beckmann <anbe@debian.org> for spotting this.
  * Removed superfluous whitespaces from changelog

 -- Alf Gaida <agaida@siduction.org>  Tue, 31 Oct 2017 15:18:42 +0100

qtermwidget (0.8.0-1) experimental; urgency=medium

  * Cherry-picking upstream release 0.8.0.
  * Switched to experimental
  * Bumped Standards to 4.1.1
  * Bumped build tools to >= 0.4.0
  * Fixed copyright
  * Fixed symbols

 -- Alf Gaida <agaida@siduction.org>  Sun, 22 Oct 2017 22:15:52 +0200

qtermwidget (0.7.1-7) unstable; urgency=medium

  * Fixed symbols for powerpcspe

 -- Alf Gaida <agaida@siduction.org>  Sun, 24 Sep 2017 14:05:24 +0200

qtermwidget (0.7.1-6) unstable; urgency=medium

  * Fixed symbols for all but powerpcspe - missed build deps and
    i don't want to guess.

 -- Alf Gaida <agaida@siduction.org>  Tue, 05 Sep 2017 23:56:54 +0200

qtermwidget (0.7.1-5) unstable; urgency=medium

  * fixed another round of symbols, work in progress
    (currently fixed amd64 and i386) (Closes: #874187)
    Thanks Adrian Bunk for spotting this.
  * bumped Standards to 4.1.0 - no changes needed
  * fix some colons and not needed versions in d/control

 -- Alf Gaida <agaida@siduction.org>  Tue, 05 Sep 2017 16:55:18 +0200

qtermwidget (0.7.1-4) unstable; urgency=medium

  * fixed symbols for gcc 7.1.0 (Closes: #871122)

 -- Alf Gaida <agaida@siduction.org>  Sat, 12 Aug 2017 19:34:55 +0200

qtermwidget (0.7.1-3) unstable; urgency=medium

  * Bumped Standards to 4.0.0 - no changes needed
  * Added 5 optional symbols (Closes: #853632)
  * Added build dependency lxqt-build-tools
  * Added Recommends: qtermwidget-l10n, fonts-hack-ttf

 -- Alf Gaida <agaida@siduction.org>  Mon, 03 Jul 2017 00:45:55 +0200

=== debian/control ===
Source: qtermwidget
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 10),
               cmake (>= 3.0.2),
               libutf8proc-dev,
               lxqt-build-tools (>= 0.4.0),
               qtbase5-dev
Standards-Version: 4.1.2
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/qtermwidget.git
Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/qtermwidget.git
Homepage: https://github.com/lxde/qtermwidget

Package: libqtermwidget5-0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         qtermwidget5-data (= ${source:Version})
Recommends: qtermwidget-l10n,
            fonts-hack-ttf
Pre-Depends: ${misc:Pre-Depends}
Description: Terminal emulator widget for Qt 5 (shared libraries)
 QTermWidget is a Unicode-enabled, embeddable Qt widget that can be used as
 built-in console or terminal emulation widget.
 .
 This package provides the shared libraries.

Package: libqtermwidget5-0-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         libqtermwidget5-0 (= ${binary:Version})
Description: Terminal emulator widget for Qt 5 (development files)
 QTermWidget is a Unicode-enabled, embeddable Qt widget that can be used as
 built-in console or terminal emulation widget.
 .
 This package provides the development files.

Package: qtermwidget5-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Terminal emulator widget for Qt 5 (data files)
 QTermWidget is a Unicode-enabled, embeddable Qt widget that can be used as
 built-in console or terminal emulation widget.
 .
 This package provides data files like keyboard layouts and color schemes.

=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,13 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh ${@} --buildsystem cmake \
-		--fail-missing
+	dh ${@} --buildsystem cmake
+
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
+		-DPULL_TRANSLATIONS=OFF \
 		-DUSE_UTF8PROC=ON \
 		-DCMAKE_BUILD_TYPE=RelWithDebInfo

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/lxde/qtermwidget/releases .*/qtermwidget-([\d\.]+).tar.xz

## qtermwidget 0.9.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)

project(qtermwidget)

include(GNUInstallDirs)
include(GenerateExportHeader)
include(CMakePackageConfigHelpers)
include(CheckFunctionExists)
include(CheckIncludeFile)

set(REQUIRED_QT_VERSION "5.7.1")
set(LXQTBT_MINIMUM_VERSION "0.5.0")

option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
option(BUILD_EXAMPLE "Build example application. Default OFF." OFF)
option(QTERMWIDGET_USE_UTEMPTER "Uses the libutempter library. Mainly for FreeBSD" OFF)
option(QTERMWIDGET_BUILD_PYTHON_BINDING "Build python binding" OFF)

# just change version for releases
set(QTERMWIDGET_VERSION_MAJOR "0")
set(QTERMWIDGET_VERSION_MINOR "9")
set(QTERMWIDGET_VERSION_PATCH "0")

set(QTERMWIDGET_VERSION "${QTERMWIDGET_VERSION_MAJOR}.${QTERMWIDGET_VERSION_MINOR}.${QTERMWIDGET_VERSION_PATCH}")

# additional cmake files
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${PROJECT_SOURCE_DIR}/cmake")

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
endif()

set(CMAKE_INCLUDE_CURRENT_DIR ON)

find_package(Qt5Widgets "${REQUIRED_QT_VERSION}" REQUIRED)
find_package(Qt5LinguistTools "${REQUIRED_QT_VERSION}" REQUIRED)
find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)

include(LXQtPreventInSourceBuilds)
include(LXQtTranslateTs)
include(LXQtCompilerSettings NO_POLICY_SCOPE)
include(LXQtCreatePkgConfigFile)

set(QTERMWIDGET_LIBRARY_NAME qtermwidget5)

option(USE_UTF8PROC "Use libutf8proc for better Unicode support. Default OFF" OFF)

if(USE_UTF8PROC)
    find_package(Utf8Proc REQUIRED)
endif()

# main library

set(SRCS
    lib/BlockArray.cpp
    lib/ColorScheme.cpp
    lib/Emulation.cpp
    lib/Filter.cpp
    lib/History.cpp
    lib/HistorySearch.cpp
    lib/KeyboardTranslator.cpp
    lib/konsole_wcwidth.cpp
    lib/kprocess.cpp
    lib/kpty.cpp
    lib/kptydevice.cpp
    lib/kptyprocess.cpp
    lib/Pty.cpp
    lib/qtermwidget.cpp
    lib/Screen.cpp
    lib/ScreenWindow.cpp
    lib/SearchBar.cpp
    lib/Session.cpp
    lib/ShellCommand.cpp
    lib/TerminalCharacterDecoder.cpp
    lib/TerminalDisplay.cpp
    lib/tools.cpp
    lib/Vt102Emulation.cpp
)

# Only the Headers that need to be moc'd go here
set(HDRS
    lib/Emulation.h
    lib/Filter.h
    lib/HistorySearch.h
    lib/kprocess.h
    lib/kptydevice.h
    lib/kptyprocess.h
    lib/Pty.h
    lib/qtermwidget.h
    lib/ScreenWindow.h
    lib/SearchBar.h
    lib/Session.h
    lib/TerminalDisplay.h
    lib/Vt102Emulation.h
)

set(UI
    lib/SearchBar.ui
)

# for distribution
set(HDRS_DISTRIB
    lib/qtermwidget.h
    lib/Emulation.h
    lib/Filter.h
)

# dirs
set(KB_LAYOUT_DIR "${CMAKE_INSTALL_FULL_DATADIR}/${QTERMWIDGET_LIBRARY_NAME}/kb-layouts")
message(STATUS "Keyboard layouts will be installed in: ${KB_LAYOUT_DIR}")

set(COLORSCHEMES_DIR "${CMAKE_INSTALL_FULL_DATADIR}/${QTERMWIDGET_LIBRARY_NAME}/color-schemes")
message(STATUS "Color schemes will be installed in: ${COLORSCHEMES_DIR}" )

set(TRANSLATIONS_DIR "${CMAKE_INSTALL_FULL_DATADIR}/${QTERMWIDGET_LIBRARY_NAME}/translations")
message(STATUS "Translations will be installed in: ${TRANSLATIONS_DIR}")

set(QTERMWIDGET_INCLUDE_DIR "${CMAKE_INSTALL_FULL_INCLUDEDIR}/${QTERMWIDGET_LIBRARY_NAME}")

CHECK_FUNCTION_EXISTS(updwtmpx HAVE_UPDWTMPX)

qt5_wrap_cpp(MOCS ${HDRS})
qt5_wrap_ui(UI_SRCS ${UI})
set(PKG_CONFIG_REQ "Qt5Widgets")

lxqt_translate_ts(QTERMWIDGET_QM
    TRANSLATION_DIR "lib/translations"
    UPDATE_TRANSLATIONS
        ${UPDATE_TRANSLATIONS}
    SOURCES
        ${SRCS} ${HDRS} ${UI}
    PULL_TRANSLATIONS
        ${PULL_TRANSLATIONS}
    CLEAN_TRANSLATIONS
        ${CLEAN_TRANSLATIONS}
    TRANSLATIONS_REPO
        ${TRANSLATIONS_REPO}
    TRANSLATIONS_REFSPEC
        ${TRANSLATIONS_REFSPEC}
    INSTALL_DIR
        ${TRANSLATIONS_DIR}
    COMPONENT
        Runtime
)

add_library(${QTERMWIDGET_LIBRARY_NAME} SHARED ${SRCS} ${MOCS} ${UI_SRCS} ${QTERMWIDGET_QM})
target_link_libraries(${QTERMWIDGET_LIBRARY_NAME} Qt5::Widgets)
set_target_properties( ${QTERMWIDGET_LIBRARY_NAME} PROPERTIES
                       SOVERSION ${QTERMWIDGET_VERSION_MAJOR}
                       VERSION ${QTERMWIDGET_VERSION}
                     )


if(APPLE)
    target_compile_definitions(${QTERMWIDGET_LIBRARY_NAME}
        PRIVATE
            "HAVE_UTMPX"
            "UTMPX_COMPAT"
    )
endif()

if(HAVE_UPDWTMPX)
    target_compile_definitions(${QTERMWIDGET_LIBRARY_NAME}
        PRIVATE
            "HAVE_UPDWTMPX"
    )
endif()

if (QTERMWIDGET_USE_UTEMPTER)
    CHECK_INCLUDE_FILE(utempter.h HAVE_UTEMPTER)
    if (HAVE_UTEMPTER)
        target_compile_definitions(${QTERMWIDGET_LIBRARY_NAME} PRIVATE
                "HAVE_UTEMPTER"
        )
        target_link_libraries(${QTERMWIDGET_LIBRARY_NAME} ulog)
    endif()
endif()

if (UTF8PROC_FOUND)
    target_compile_definitions(${QTERMWIDGET_LIBRARY_NAME}
        PRIVATE
            "HAVE_UTF8PROC"
    )
    target_include_directories(${QTERMWIDGET_LIBRARY_NAME}
        INTERFACE
            ${UTF8PROC_INCLUDE_DIRS}
    )
    target_link_libraries(${QTERMWIDGET_LIBRARY_NAME}
        ${UTF8PROC_LIBRARIES}
    )
    string(APPEND PKG_CONFIG_REQ ", libutf8proc")
endif()

if(APPLE)
    set (CMAKE_SKIP_RPATH 1)
    # this is a must to load the lib correctly
    set_target_properties(${QTERMWIDGET_LIBRARY_NAME} PROPERTIES INSTALL_NAME_DIR ${CMAKE_INSTALL_FULL_LIBDIR})
endif()

target_compile_definitions(${QTERMWIDGET_LIBRARY_NAME}
    PRIVATE
        "KB_LAYOUT_DIR=\"${KB_LAYOUT_DIR}\""
        "COLORSCHEMES_DIR=\"${COLORSCHEMES_DIR}\""
        "TRANSLATIONS_DIR=\"${TRANSLATIONS_DIR}\""
        "HAVE_POSIX_OPENPT"
        "HAVE_SYS_TIME_H"
        "QT_NO_FOREACH"
)


generate_export_header(${QTERMWIDGET_LIBRARY_NAME}
    EXPORT_FILE_NAME "${CMAKE_CURRENT_BINARY_DIR}/lib/qtermwidget_export.h"
    EXPORT_MACRO_NAME QTERMWIDGET_EXPORT
)

target_include_directories(${QTERMWIDGET_LIBRARY_NAME}
    PUBLIC
        "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/lib>"
        "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/lib>"
    INTERFACE
        "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>"
        "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/${QTERMWIDGET_LIBRARY_NAME}>"
)

write_basic_package_version_file(
    "${CMAKE_BINARY_DIR}/${QTERMWIDGET_LIBRARY_NAME}-config-version.cmake"
    VERSION ${QTERMWIDGET_VERSION}
    COMPATIBILITY AnyNewerVersion
)

install(FILES
    "${CMAKE_BINARY_DIR}/${QTERMWIDGET_LIBRARY_NAME}-config-version.cmake"
    DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/${QTERMWIDGET_LIBRARY_NAME}"
    COMPONENT Devel
)

install(EXPORT
    "${QTERMWIDGET_LIBRARY_NAME}-targets"
    DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/${QTERMWIDGET_LIBRARY_NAME}"
    COMPONENT Devel
)

install(FILES
    ${HDRS_DISTRIB} "${CMAKE_CURRENT_BINARY_DIR}/lib/qtermwidget_export.h"
    DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/${QTERMWIDGET_LIBRARY_NAME}"
    COMPONENT Devel
)
# keyboard layouts
install(DIRECTORY
    lib/kb-layouts/
    DESTINATION "${KB_LAYOUT_DIR}"
    COMPONENT Runtime
    FILES_MATCHING PATTERN "*.keytab"
)
# color schemes
install(DIRECTORY
    lib/color-schemes/
    DESTINATION "${COLORSCHEMES_DIR}"
    COMPONENT Runtime
    FILES_MATCHING PATTERN "*.*schem*"
)

lxqt_create_pkgconfig_file(
    PACKAGE_NAME ${QTERMWIDGET_LIBRARY_NAME}
    DESCRIPTIVE_NAME ${QTERMWIDGET_LIBRARY_NAME}
    DESCRIPTION "QTermWidget library for Qt ${QTERMWIDGET_VERSION_MAJOR}.x"
    INCLUDEDIRS ${QTERMWIDGET_LIBRARY_NAME}
    LIBS ${QTERMWIDGET_LIBRARY_NAME}
    REQUIRES ${PKG_CONFIG_REQ}
    VERSION ${QTERMWIDGET_VERSION}
    INSTALL
    COMPONENT Devel
)

configure_file(
    "${PROJECT_SOURCE_DIR}/cmake/${QTERMWIDGET_LIBRARY_NAME}-config.cmake.in"
    "${CMAKE_BINARY_DIR}/${QTERMWIDGET_LIBRARY_NAME}-config.cmake"
    @ONLY
)

install(FILES
    "${CMAKE_BINARY_DIR}/${QTERMWIDGET_LIBRARY_NAME}-config.cmake"
    DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/${QTERMWIDGET_LIBRARY_NAME}"
    COMPONENT Devel
)

install(TARGETS ${QTERMWIDGET_LIBRARY_NAME}
    DESTINATION "${CMAKE_INSTALL_LIBDIR}"
    EXPORT "${QTERMWIDGET_LIBRARY_NAME}-targets"
    LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
    PUBLIC_HEADER
    COMPONENT Runtime
)

export(TARGETS ${QTERMWIDGET_LIBRARY_NAME}
    FILE "${CMAKE_BINARY_DIR}/${QTERMWIDGET_LIBRARY_NAME}-targets.cmake"
    EXPORT_LINK_INTERFACE_LIBRARIES
)
# end of main library


# example application
if(BUILD_EXAMPLE)
    set(EXAMPLE_SRC example/main.cpp)
    add_executable(example ${EXAMPLE_SRC})
    target_link_libraries(example ${QTERMWIDGET_LIBRARY_NAME})
endif()
# end of example application

# python binding
if (QTERMWIDGET_BUILD_PYTHON_BINDING)
    add_subdirectory(pyqt)
endif()
# end of python binding


CONFIGURE_FILE(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY
)
ADD_CUSTOM_TARGET(uninstall
    "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
)

=== debian/changelog ===
qtermwidget (0.9.0-2~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 08 Oct 2018 15:25:07 -0700

qtermwidget (0.9.0-2) unstable; urgency=medium

  * Recommend fonts-hack instead of fonts-hack-ttf (Closes: #907279)
  * Bumped Standards to 4.2.1, no changes needed

 -- Alf Gaida <agaida@siduction.org>  Sun, 16 Sep 2018 14:16:19 +0200

qtermwidget (0.9.0-1) unstable; urgency=medium

  * Cherry-picking upstream release: 0.9.0.
  * Moved debian/.gitignore to ./.gitignore
  * Bumped build dependency lxqt-build-tools to >= 0.5.0~
  * Removed cmake fix, applied upstream
  * Added some options to rules
  * Added some new symbols

 -- Alf Gaida <agaida@siduction.org>  Thu, 24 May 2018 01:11:06 +0200

qtermwidget (0.8.0-6) unstable; urgency=medium

  * Bumped compat to 11
  * Bumped debhelper to >= 11~
  * Removed not needed cmake minimim version
  * Bumped Standards to 4.1.4, no changes needed
  * Changed VCS fields for salsa
  * Changed Homepage, Source and watch to lxqt
  * Bumped years in copyright

 -- Alf Gaida <agaida@siduction.org>  Sat, 28 Apr 2018 19:31:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: qtermwidget
-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 10),
-               cmake (>= 3.0.2),
+Build-Depends: debhelper (>= 11~),
+               cmake,
                libutf8proc-dev,
-               lxqt-build-tools (>= 0.4.0),
+               lxqt-build-tools (>= 0.5.0~),
                qtbase5-dev
-Standards-Version: 4.1.2
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/qtermwidget.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/qtermwidget.git
-Homepage: https://github.com/lxde/qtermwidget
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/lxqt-team/qtermwidget
+Vcs-Git: https://salsa.debian.org/lxqt-team/qtermwidget.git
+Homepage: https://github.com/lxqt/qtermwidget
 
 Package: libqtermwidget5-0
 Architecture: any
@@ -22,7 +23,7 @@
          ${misc:Depends},
          qtermwidget5-data (= ${source:Version})
 Recommends: qtermwidget-l10n,
-            fonts-hack-ttf
+            fonts-hack
 Pre-Depends: ${misc:Pre-Depends}
 Description: Terminal emulator widget for Qt 5 (shared libraries)
  QTermWidget is a Unicode-enabled, embeddable Qt widget that can be used as

## qtermwidget 0.14.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,9 @@
-cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)
-
+cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
+# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
+# CMakeLists.txt file even before calling the project() command.
+# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
+# command to specify that the current project code is written for the given range of CMake
+# versions.
 project(qtermwidget)
 
 include(GNUInstallDirs)
@@ -8,33 +12,35 @@
 include(CheckFunctionExists)
 include(CheckIncludeFile)
 
-set(REQUIRED_QT_VERSION "5.7.1")
-set(LXQTBT_MINIMUM_VERSION "0.5.0")
-
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 option(BUILD_EXAMPLE "Build example application. Default OFF." OFF)
 option(QTERMWIDGET_USE_UTEMPTER "Uses the libutempter library. Mainly for FreeBSD" OFF)
 option(QTERMWIDGET_BUILD_PYTHON_BINDING "Build python binding" OFF)
+option(USE_UTF8PROC "Use libutf8proc for better Unicode support. Default OFF" OFF)
+
 
 # just change version for releases
 set(QTERMWIDGET_VERSION_MAJOR "0")
-set(QTERMWIDGET_VERSION_MINOR "9")
-set(QTERMWIDGET_VERSION_PATCH "0")
+set(QTERMWIDGET_VERSION_MINOR "14")
+set(QTERMWIDGET_VERSION_PATCH "1")
 
 set(QTERMWIDGET_VERSION "${QTERMWIDGET_VERSION_MAJOR}.${QTERMWIDGET_VERSION_MINOR}.${QTERMWIDGET_VERSION_PATCH}")
 
 # additional cmake files
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${PROJECT_SOURCE_DIR}/cmake")
-
-if(NOT CMAKE_BUILD_TYPE)
-    set(CMAKE_BUILD_TYPE Release)
-endif()
-
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
-find_package(Qt5Widgets "${REQUIRED_QT_VERSION}" REQUIRED)
-find_package(Qt5LinguistTools "${REQUIRED_QT_VERSION}" REQUIRED)
+# Minimum Versions
+set(QT_MINIMUM_VERSION "5.7.1")
+set(LXQTBT_MINIMUM_VERSION "0.6.0")
+
+find_package(Qt5Widgets "${QT_MINIMUM_VERSION}" REQUIRED)
+find_package(Qt5LinguistTools "${QT_MINIMUM_VERSION}" REQUIRED)
 find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
+
+if(USE_UTF8PROC)
+    find_package(Utf8Proc REQUIRED)
+endif()
 
 include(LXQtPreventInSourceBuilds)
 include(LXQtTranslateTs)
@@ -43,11 +49,6 @@
 
 set(QTERMWIDGET_LIBRARY_NAME qtermwidget5)
 
-option(USE_UTF8PROC "Use libutf8proc for better Unicode support. Default OFF" OFF)
-
-if(USE_UTF8PROC)
-    find_package(Utf8Proc REQUIRED)
-endif()
 
 # main library
 
@@ -129,14 +130,6 @@
         ${UPDATE_TRANSLATIONS}
     SOURCES
         ${SRCS} ${HDRS} ${UI}
-    PULL_TRANSLATIONS
-        ${PULL_TRANSLATIONS}
-    CLEAN_TRANSLATIONS
-        ${CLEAN_TRANSLATIONS}
-    TRANSLATIONS_REPO
-        ${TRANSLATIONS_REPO}
-    TRANSLATIONS_REFSPEC
-        ${TRANSLATIONS_REFSPEC}
     INSTALL_DIR
         ${TRANSLATIONS_DIR}
     COMPONENT
@@ -204,7 +197,11 @@
         "TRANSLATIONS_DIR=\"${TRANSLATIONS_DIR}\""
         "HAVE_POSIX_OPENPT"
         "HAVE_SYS_TIME_H"
-        "QT_NO_FOREACH"
+        "QT_USE_QSTRINGBUILDER"
+        "QT_NO_CAST_FROM_ASCII"
+        "QT_NO_CAST_TO_ASCII"
+        "QT_NO_URL_CAST_FROM_STRING"
+        "QT_NO_CAST_FROM_BYTEARRAY"
 )

=== debian/changelog ===
qtermwidget (0.14.1-3ubuntu1) focal; urgency=medium

  * debian/control: Add Breaks/Replaces on qtermwidget-l10n to
    qtermwidget5-data. Fixes upgrade from 0.14.1-0ubuntu3 or earlier.
    (LP: #1864170)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2020 16:24:33 +0000

qtermwidget (0.14.1-3) unstable; urgency=medium

  * Bumped Standards-Version to 4.5.0, no changes needed
  * Removed the not existing package qtermwidget-l10n from recommends,
    thanks @wxl, nice finding. 

 -- Alf Gaida <agaida@siduction.org>  Sun, 23 Feb 2020 22:16:09 +0100

qtermwidget (0.14.1-2) unstable; urgency=medium

  * Switched to gbp
  * Bumped Standards-Version to 4.4.1, no changes needed
  * Fixed one symbol for ia64
  * Added Rules-Requires-Root: no to make lintian happy

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Oct 2019 00:04:08 +0200

qtermwidget (0.14.1-1) unstable; urgency=medium

  * Cherry-picking upstream release: 0.14.1.

 -- Alf Gaida <agaida@siduction.org>  Tue, 26 Feb 2019 01:00:03 +0100

qtermwidget (0.14.0-1) unstable; urgency=medium

  * Cherry-picking upstream release: 0.14.0.
  * Bumped Standards to 4.3.0, no changes needed
  * Dropped d/compat, use debhelper-compat = 12, no changes needed
  * Fixed years in d/copyright
  * Bumped minimum version lxqt-build-tools (>= 0.6.0~)
  * Removed obsolete PULL_TRANSLATIONS= OFF from dh_auto_configure
  * Added Build-Depends-Package field to symbols
  * Installed new translations in the data package.
  * Added two new symbols
  * Added d/upstream/metadata

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Jan 2019 15:29:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: qtermwidget
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                cmake,
                libutf8proc-dev,
-               lxqt-build-tools (>= 0.5.0~),
+               lxqt-build-tools (>= 0.6.0~),
                qtbase5-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/lxqt-team/qtermwidget
 Vcs-Git: https://salsa.debian.org/lxqt-team/qtermwidget.git
 Homepage: https://github.com/lxqt/qtermwidget
+Rules-Requires-Root: no
 
 Package: libqtermwidget5-0
 Architecture: any
@@ -22,8 +22,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          qtermwidget5-data (= ${source:Version})
-Recommends: qtermwidget-l10n,
-            fonts-hack
+Recommends: fonts-hack
 Pre-Depends: ${misc:Pre-Depends}
 Description: Terminal emulator widget for Qt 5 (shared libraries)
  QTermWidget is a Unicode-enabled, embeddable Qt widget that can be used as
@@ -47,8 +46,11 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
+Breaks: qtermwidget-l10n (<< 0.14.1-2~)
+Replaces: qtermwidget-l10n (<< 0.14.1-2~)
 Description: Terminal emulator widget for Qt 5 (data files)
  QTermWidget is a Unicode-enabled, embeddable Qt widget that can be used as
  built-in console or terminal emulation widget.
  .
- This package provides data files like keyboard layouts and color schemes.
+ This package provides data files like translations, keyboard layouts
+ and color schemes.

## qtermwidget 0.14.1.2

=== debian/changelog ===
qtermwidget (0.14.1.2-1+deepin) unstable; urgency=low

  * ['Autobuild release-candidate: 64d4b40f5345b98870c0b44ba0a47dbe50dc2dc2']

 -- shuttle <shuttle@deepin.com>  Mon, 20 Jan 2020 21:01:04 +0000

## qtermwidget 0.15.0

=== debian/changelog ===
qtermwidget (0.15.0-0ubuntu1) groovy; urgency=medium

  * New upstream release.
    - Update upstream signing key.
    - Update LXQt build dependencies.
    - Update symbols from amd64 build logs.
  * Run wrap-and-sort.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 04 Jun 2020 00:20:23 -0500

=== debian/control ===
Source: qtermwidget
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 12),
               libutf8proc-dev,
               lxqt-build-tools (>= 0.7.0),
               qtbase5-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/qtermwidget
Vcs-Git: https://salsa.debian.org/lxqt-team/qtermwidget.git
Homepage: https://github.com/lxqt/qtermwidget
Rules-Requires-Root: no

Package: libqtermwidget5-0
Architecture: any
Multi-Arch: same
Depends: qtermwidget5-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: fonts-hack
Pre-Depends: ${misc:Pre-Depends}
Description: Terminal emulator widget for Qt 5 (shared libraries)
 QTermWidget is a Unicode-enabled, embeddable Qt widget that can be used as
 built-in console or terminal emulation widget.
 .
 This package provides the shared libraries.

Package: libqtermwidget5-0-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqtermwidget5-0 (= ${binary:Version}), ${misc:Depends}
Description: Terminal emulator widget for Qt 5 (development files)
 QTermWidget is a Unicode-enabled, embeddable Qt widget that can be used as
 built-in console or terminal emulation widget.
 .
 This package provides the development files.

Package: qtermwidget5-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: qtermwidget-l10n
Replaces: qtermwidget-l10n
Description: Terminal emulator widget for Qt 5 (data files)
 QTermWidget is a Unicode-enabled, embeddable Qt widget that can be used as
 built-in console or terminal emulation widget.
 .
 This package provides data files like translations, keyboard layouts
 and color schemes.
